Preloader.StateChangeNotification.Type (JavaFX 25)
Description: declaration: module: javafx.graphics, package: javafx.application, class: Preloader, class: StateChangeNotification, enum: Type

# Enum Class Preloader.StateChangeNotification.Type

java.lang.Object
java.lang.Enum<Preloader.StateChangeNotification.Type>
javafx.application.Preloader.StateChangeNotification.Type

All Implemented Interfaces:
  `Serializable, Comparable<Preloader.StateChangeNotification.Type>, Constable`

Enclosing class:
  `Preloader.StateChangeNotification`

public static enum Preloader.StateChangeNotification.Type extends Enum<Preloader.StateChangeNotification.Type>
Enum that defines the type of change associated with this notification

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEFORE_INIT`
  Indicates that the application's init method is about to be called.
  `BEFORE_LOAD`
  Indicates that the application class is about to be loaded and constructed.
  `BEFORE_START`
  Indicates that the application's start method is about to be called.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Preloader.StateChangeNotification.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Preloader.StateChangeNotification.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE_LOAD

    public static final Preloader.StateChangeNotification.Type BEFORE_LOAD
    Indicates that the application class is about to be loaded and constructed.

  - ### BEFORE_INIT

    public static final Preloader.StateChangeNotification.Type BEFORE_INIT
    Indicates that the application's init method is about to be called.

  - ### BEFORE_START

    public static final Preloader.StateChangeNotification.Type BEFORE_START
    Indicates that the application's start method is about to be called.

- ## Method Details

  - ### values

    public static Preloader.StateChangeNotification.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Preloader.StateChangeNotification.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null